Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  object TreeBrowsers
  Definition Classes
    ast
- DocBreak
- DocCons
- DocGroup
- DocNest
- DocNil
- DocText
- Document

o

scala.tools.nsc.ast.TreeBrowsers

# DocNil

###

#### object DocNil extends Document with Product with Serializable

Source
  TreeBrowsers.scala

Linear Supertypes
java.io.Serializable, Product, Equals, Document, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DocNil
2. Serializable
3. Product
4. Equals
5. Document
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def :/:(hd: String): Document
   Definition Classes
     Document
4.  def :/:(hd: Document): Document
   Definition Classes
     Document
5.  def ::(hd: String): Document
   Definition Classes
     Document
6.  def ::(hd: Document): Document
   Definition Classes
     Document
7.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  def format(width: Int, writer: Writer): Unit

    Format this document on `writer` and try to set line breaks so that the result fits in `width` columns.

    Format this document on `writer` and try to set line breaks so that the result fits in `width` columns.

    Definition Classes
      Document
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def productElementName(n: Int): String
    Definition Classes
      Product
20.  def productElementNames: Iterator[String]
    Definition Classes
      Product
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Document

### Inherited from AnyRef

### Inherited from Any

### Ungrouped